com.pixelmed.utils

## Class MACAddress

- java.lang.Object
- - com.pixelmed.utils.MACAddress

    public class MACAddress
    extends java.lang.Object

A class for fetching the MAC address of one of the local host network interfaces.

Works on Linux, Solaris, Darwin, Windows.

### Constructor Summary

Constructors
Constructor and Description
`MACAddress()`

### Method Summary

Methods
`long` `getMACAddress()`
`protected static long` `getMacAddressFromNetworkInterfaceAPI()`
`protected long` `getMacAddressFromSystemCommandCall()`
`static void` `main(java.lang.String[] arg)` Testing.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MACAddress

    public MACAddress()

### Method Detail

#### getMACAddress

    public long getMACAddress()

#### getMacAddressFromNetworkInterfaceAPI

    protected static long getMacAddressFromNetworkInterfaceAPI()

#### getMacAddressFromSystemCommandCall

    protected long getMacAddressFromSystemCommandCall()

#### main

    public static void main(java.lang.String[] arg)

Testing.

Parameters:
  `arg` - ignored